#
# spec file for package wlc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define wayland_minimal 1.7.0

Name:           wlc
Version:        0.0.3
Release:        3.2
Summary:        A Wayland Compositor Library
License:        MIT
Group:          Development/Libraries/C and C++
Url:            https://github.com/Cloudef/wlc
Source0:        https://github.com/Cloudef/wlc/releases/download/v%{version}/%{name}-%{version}.tar.bz2
Source1:        https://github.com/Cloudef/wlc/releases/download/v%{version}/%{name}-%{version}.tar.bz2.asc
Source2:        %{name}.keyring
BuildRequires:  Mesa-devel
BuildRequires:  chck-devel
BuildRequires:  cmake
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dri)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(libsystemd-daemon)
BuildRequires:  pkgconfig(libsystemd-id128)
BuildRequires:  pkgconfig(libsystemd-journal)
BuildRequires:  pkgconfig(libsystemd-login)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(wayland-client) >= %{wayland_minimal}
BuildRequires:  pkgconfig(wayland-cursor) >= %{wayland_minimal}
BuildRequires:  pkgconfig(wayland-egl) >= %{wayland_minimal}
BuildRequires:  pkgconfig(wayland-scanner) >= %{wayland_minimal}
BuildRequires:  pkgconfig(wayland-server) >= %{wayland_minimal}
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xcb-damage)
BuildRequires:  pkgconfig(xcb-dpms)
BuildRequires:  pkgconfig(xcb-dri2)
BuildRequires:  pkgconfig(xcb-dri3)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xcb-glx)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-present)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xcb-record)
BuildRequires:  pkgconfig(xcb-render)
BuildRequires:  pkgconfig(xcb-res)
BuildRequires:  pkgconfig(xcb-screensaver)
BuildRequires:  pkgconfig(xcb-shape)
BuildRequires:  pkgconfig(xcb-shm)
BuildRequires:  pkgconfig(xcb-sync)
BuildRequires:  pkgconfig(xcb-xf86dri)
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(xcb-xinerama)
BuildRequires:  pkgconfig(xcb-xkb)
BuildRequires:  pkgconfig(xcb-xtest)
BuildRequires:  pkgconfig(xcb-xv)
BuildRequires:  pkgconfig(xcb-xvmc)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(zlib)

%description
A Wayland compositor library. Used by sway or orbment.

%package -n libwlc0
Summary:        A Wayland Compositor Library
Group:          System/Libraries

%description -n libwlc0
Wayland Compositor Library itself.

%package devel
Summary:        Development files for the wlc Wayland Compositor Library
Group:          Development/Libraries/C and C++
Requires:       chck-devel
Requires:       cmake
Requires:       libwlc0 = %{version}
Requires:       pkgconfig(wayland-client) >= %{wayland_minimal}
Requires:       pkgconfig(wayland-cursor) >= %{wayland_minimal}
Requires:       pkgconfig(wayland-egl) >= %{wayland_minimal}
Requires:       pkgconfig(wayland-scanner) >= %{wayland_minimal}
Requires:       pkgconfig(wayland-server) >= %{wayland_minimal}

%description devel
Development files for Wayland Compositor Library.

%prep
%setup -q

# make sure that chck from tarball is not used
rm -r lib/chck/*

%build
%cmake \
       -DSOURCE_CHCK=OFF

make %{?_smp_mflags}

%install
%cmake_install

%post   -n libwlc0 -p /sbin/ldconfig
%postun -n libwlc0 -p /sbin/ldconfig

%files -n libwlc0
%doc LICENSE README.rst
%defattr(-,root,root)
%{_libdir}/libwlc.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libwlc.so
%{_libdir}/pkgconfig/wlc.pc
%{_includedir}/wlc/

%changelog
* Mon May 30 2016 tcech@suse.com
- drop build requirements of xcb-xevie and xcb-xprint
* Mon May 23 2016 tcech@suse.com
- bump to 0.0.3
  view property related changes
  bugfixes
  build related improvements
  use XDG_SEAT instead of seat0
* Thu May  5 2016 tcech@suse.com
- removing the changes which doesn't seem to be necessary anymore
* Thu Apr 21 2016 sleep_walker@opensuse.org
- bump to release 0.0.2
- wipe included chck from sources (it is packaged separately)
- add LICENSE and README.rst to package
* Fri Apr 15 2016 tcech@suse.com
- new git snapshot (2016-04-10, 309ddb0)
  gles2 related improvements
  bygfixes
* Sat Feb 27 2016 sleep_walker@opensuse.org
- new git snapshot (2016-02-26, 651ebc8)
  add golang and rust bindings
  use system Wayland protocols
* Thu Feb  4 2016 sleep_walker@opensuse.org
- new git snapshot (2016-01-31, faa4d3c)
  xwayland - xwm related changes
  build related changes
  output related changes
- add xcb-ewmh among BuildRequires
- FindWlc.cmake no longer provided
* Wed Jan 20 2016 sleep_walker@opensuse.org
- new git snapshot (2016-01-14, 1bc4558)
  fix touchscreen crashes
  fix repeat keys
* Wed Jan  6 2016 sleep_walker@opensuse.org
- new git snapshot (2016-01-05, e9f20ef)
  close XWayland before closing compositor
  C++ support
  Update keyboard leds when pressed
* Thu Dec 17 2015 sleep_walker@opensuse.org
- new git snapshot (2015-12-15, cff1917)
  xwm: bring focused window always above others
  xwm/output: hack around "invisible" x11 windows
  ...
* Mon Nov 23 2015 sleep_walker@opensuse.org
- explicitly require wayland for wlc-devel
- add wayland-egl
* Mon Nov 23 2015 sleep_walker@opensuse.org
- new git snapshot (2015-11-19, 3b836aa)
  remove background code and configuration
* Tue Nov 17 2015 sleep_walker@opensuse.org
- new git snapshot (2015-11-14, 9daf696)
  wlc: remove output connector and id from public
  output: no-op wlc_output_focus with 0 argument.
  pointer.c: clamp pointer to output when rendering
  wlc: Change naming conventions to avoid confusion
  wlc_pointer_motion no longer needs new position.
  output.c: Do not attach views without buffers
  xwm.c: Add more debug output.
  cmake: whitespace
  output.c: Cancel repaints on bsurface removal
  output.c: Remove spurious memset
  example: Update/fix, set pointer origin.
  Fixed window naming
* Thu Oct 29 2015 sleep_walker@opensuse.org
- new git snapshot (2015-10-28, a30a674)
* Tue Oct 27 2015 sleep_walker@opensuse.org
- new git snapshot (1852992, 2015-10-23)
  - pointer set API, client is responsible for updating pointer
* Thu Oct  8 2015 sleep_walker@opensuse.org
- require wayland 1.7+ as stated in README
* Wed Oct  7 2015 sleep_walker@opensuse.org
- use %%{_libdir} macro instead of hardcoded /usr/lib64 to fix i586
  build
* Sat Sep 26 2015 sleep_walker@opensuse.org
- read .so symlinks from build environment and patch the source code
  accordingly
* Tue Sep 22 2015 sleep_walker@opensuse.org
- until there is better implementation require devel packages
  to have symlinks to .so files
* Sat Sep 19 2015 sleep_walker@opensuse.org
- require xcb-image
* Sat Sep 19 2015 sleep_walker@opensuse.org
- instead of using internal chck library use systemwide installed one
- remove xkbcommon-path.patch
* Thu Sep 17 2015 sleep_walker@opensuse.org
- add xkbcommon-path.patch to fix upstream expectation about the
  path to the header
* Thu Sep 17 2015 sleep_walker@opensuse.org
- use download service to get the tarball
- remove patch (it reached upstream)
  properly-detect-and-handle-includedirs.patch
* Thu Sep  3 2015 sleep_walker@opensuse.org
- enable building examples and tests again
- reformat using spec-cleaner
* Thu Sep  3 2015 sleep_walker@opensuse.org
- and now it builds without more correct patch
  properly-detect-and-handle-includedirs.patch
* Mon Aug 24 2015 sleep_walker@opensuse.org
- and now it even builds
* Fri Aug 21 2015 sleep_walker@opensuse.org
- let there be wlc!
